package ch.hevs.isi.field;

import ch.hevs.isi.core.DataPoint;
import ch.hevs.isi.core.DataPointListener;
import ch.hevs.isi.core.FloatDataPoint;

import java.util.Timer;

public class FieldConnector implements DataPointListener {
    private static FieldConnector mySelf = null;
    private FieldConnector(){
    }
    public static FieldConnector getMySelf(){
        if (mySelf == null){
            mySelf = new FieldConnector();
        }
        return mySelf;
    }

    public void initialize(String host, int port){
        
    }

    private void pushToField(DataPoint dp){
        ModbusRegister mr = ModbusRegister.getRegisterFromDatapoint(dp);
        mr.write();
    }
    @Override
    public void onNewValue(DataPoint dp) {
        pushToField(dp);
    }
    public void startPeriodicalPolling(){
        Timer pollTimer = new Timer();
        PollTask pollTask = new PollTask();
        pollTimer.scheduleAtFixedRate(pollTask,0,100);
    }
}
