package ch.hevs.isi.field;

import ch.hevs.isi.core.FloatDataPoint;

public class FloatRegister extends ModbusRegister{
    private Float value;
    private FloatDataPoint fdp;

    public FloatRegister(String label, boolean isOutPut, int address) {
        this.fdp = new FloatDataPoint(label, isOutPut);
        value = fdp.getValue();
        updateMapOfRegisters(fdp,address);
    }

    @Override
    public void read() {
        fdp.setValue(ModbusAccessor.getMySelf().readFloat(this.getAddress()));
    }

    @Override
    public void write() {
        ModbusAccessor.getMySelf().writeFloat(this.getAddress(), fdp.getValue());
    }
}